Model versions
Create a model version
Create a version of a model.
AuthorizationBearer <token>
In: header
Path Parameters
model_ownerModel Owner
The name of the model's owner.
model_nameModel Name
The name of the model.
release_notesRelease Notes
Information about changes such as new features, bug fixes, or optimizations in this version.
Length
length <= 255schemasSchemas
The schemas of the model version.
container_image_digestContainer Image Digest
A sha256 hash digest of the version's container image.
Match
^sha256:[a-f0-9]{64}$compatibilities?Compatibilities
Compatibility flags for different API endpoints supported by this version.
Default
{"openai_chat_completions":false,"openai_images_generations":false,"openai_embeddings":false,"openai_responses":false,"anthropic_messages":false}configuration?ModelVersionConfiguration
Configuration for the model version. Omit to inherit configuration from the previous version.
Response Body
curl -X POST "https://api.wrift.ai/v1/models/string/string/versions" \ -H "Content-Type: application/json" \ -d '{ "release_notes": "string", "schemas": { "prediction": { "input": { "properties": { "text": { "type": "string" } }, "required": [ "text" ], "type": "object" }, "output": { "properties": { "audio": { "type": "string" } }, "type": "object" } } }, "container_image_digest": "string" }'{
"schemas": {
"prediction": {
"input": {
"properties": {
"text": {
"type": "string"
}
},
"required": [
"text"
],
"type": "object"
},
"output": {
"properties": {
"audio": {
"type": "string"
}
},
"type": "object"
},
"stream_output": {}
}
},
"compatibilities": {
"openai_chat_completions": true,
"openai_images_generations": false,
"openai_embeddings": false,
"openai_responses": true,
"anthropic_messages": false
},
"size": 0,
"container_image_digest": "sha256:1a2b3c4d5e6f7089abcdef1234567890abcdef1234567890abcdef123456789",
"number": 3,
"release_notes": "Improved inference speed by 20% and fixed tokenizer edge cases.",
"created_at": "2024-05-01T09:12:00Z",
"configuration": {
"hardware_identifier": "string",
"variable_names": []
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}